using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;

public partial class Admin_SheZhi_WangZhanXinXi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改设置", "网站后台", "更改设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            更改设置();
        else
            设置();
    }
    private void 设置()
    {
        WangZhanMingChen.Text = 程序.设置["网站名称"].ToString();
        WangZhanYuMing.Text = 程序.设置["网站域名"].ToString();
        LOGODiZhi.Value = 程序.设置["网站LOGO"].ToString();
        LOGO.ImageUrl = 程序.设置["网站LOGO"].ToString();
        switch (Convert.ToInt32(程序.设置["默认首页"]))
        {
            case 0:
                ShouYeBanBen_0.Checked = true;
                break;
            case 1:
                ShouYeBanBen_1.Checked = true;
                break;
            default:
                ShouYeBanBen_2.Checked = true;
                break;
        }
        BiaoShiMingChen.Text = 程序.设置["标识名称"].ToString();
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["网站名称"] = WangZhanMingChen.Text;
        程序.设置["网站域名"] = WangZhanYuMing.Text;
        程序.设置["网站LOGO"] = LOGODiZhi.Value;
        if (ShouYeBanBen_0.Checked)
            程序.设置["默认首页"] = "0";
        else if (ShouYeBanBen_1.Checked)
            程序.设置["默认首页"] = "1";
        else
            程序.设置["默认首页"] = "2";
        程序.设置["标识名称"] = BiaoShiMingChen.Text;

        LOGO.ImageUrl = LOGODiZhi.Value;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改网站信息设置", 访问.用户["昵称"].ToString());
    }
}
